public class Factorial {
    // funcion en C con "public static" delante
    public static int factorial(int n) {
        int i, f;
        for (f = 1, i = 2; i <= n; i++) {
            f *= i; // Posa breakpoint aquí, Debug, next, next, ...
        }
        return f;
    }
    // "String[] args" es nuevo y println() va diferente que printf()
    public static void main(String[] args) {
        int x = 6;
        System.out.println(x + "! = " + factorial(x));
    }
}
